## org.eclipse.emf.ecore.resource.impl
Class URIConverterImpl.PlatformResourceOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.ByteArrayOutputStream
              org.eclipse.emf.ecore.resource.impl.PlatformResourceURIHandlerImpl.PlatformResourceOutputStream
                  org.eclipse.emf.ecore.resource.impl.URIConverterImpl.PlatformResourceOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

Enclosing class:
  URIConverterImpl

Deprecated. @since 2.4; use `PlatformResourceURIHandlerImpl.PlatformResourceOutputStream` directly.

    @Deprecated
    public static class URIConverterImpl.PlatformResourceOutputStream

extends PlatformResourceURIHandlerImpl.PlatformResourceOutputStream

An output stream that transfers its contents to an `IFile` upon closing.

Field Summary

Fields inherited from class org.eclipse.emf.ecore.resource.impl.PlatformResourceURIHandlerImpl.PlatformResourceOutputStream
`file, force, keepHistory, previouslyFlushed, progressMonitor`

Fields inherited from class java.io.ByteArrayOutputStream
`buf, count`

Constructor Summary
`URIConverterImpl.PlatformResourceOutputStream(IFile file, boolean force, boolean keepHistory, IProgressMonitor progressMonitor)` Deprecated. since 2.4; use `PlatformResourceURIHandlerImpl.PlatformResourceOutputStream#PlatformResourceOutputStream(IFile, boolean, boolean, IProgressMonitor)` instead.

Method Summary

Methods inherited from class org.eclipse.emf.ecore.resource.impl.PlatformResourceURIHandlerImpl.PlatformResourceOutputStream
`close, createContainer, flush`

Methods inherited from class java.io.ByteArrayOutputStream
`reset, size, toByteArray, toString, toString, toString, write, write, writeTo`

Methods inherited from class java.io.OutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### URIConverterImpl.PlatformResourceOutputStream

    @Deprecated
    public URIConverterImpl.PlatformResourceOutputStream(IFile file,
                                                                    boolean force,
                                                                    boolean keepHistory,
                                                                    IProgressMonitor progressMonitor)

  Deprecated. since 2.4; use `PlatformResourceURIHandlerImpl.PlatformResourceOutputStream#PlatformResourceOutputStream(IFile, boolean, boolean, IProgressMonitor)` instead.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.